# PPC_AC_2p_sound_localization

## Dataset of "Distinct timescales of population coding across cortex"

This repository contains pre-processed behavioral data and neural data collected from mice performing sound localization task in a virtual reality (VR) environment. Neural data are recorded from PPC and AC using two-photon calcium imaging. Detailed information about data collection can be found in:

Runyan A. C., Piasini E., Panzeri S., Harvey C. D. 2017. Distinct timescales of population coding across cortex. Nature. doi: [10.1038/nature23020](https:////www.nature.com/articles/nature23020)

Data contained in this repository were used in:

Valente M., Pica G., Runyan C. A., Morcos A. S., Harvey C. D., Panzeri S. 2020. Correlations enhance the behavioral readout of neural population activity in association cortex. BioRxiv. doi: https://doi.org/10.1101/2020.04.03.024133

Data are available in three different versions, that differ in how data is selected, organized and processed. In decreasing order of completeness:

### Version 1 (area_ID_imaging_spk.mat)

This data version contains one .mat file for each session (AC/PPC, active/passive) for a total of 27 sessions (7 PPC active, 6 PPC passive, 7 AC active, 7 AC passive). Each .mat file contains neural variables, behavioral variables and stimulus identity.
* Neural variables consist of deconvolved dF/F traces at the two-photon microscope sampling rate;
* Behavioral variables consist of x-y position in the virtual T-maze, x-y running velocity and view angle in the VR system sampling rate;
* Each trial has a different duration. Information about each trial timing and the match between imaging and VR acquisition is stored in the frame_timing_info field;
* The stimulus identity is stored in the sound_location field (value = 1, 5, 3, 7, 8, 4, 6, 2 for stimuli from the extreme left to the extreme right).

### Version 2 (area_ID_exp_data.mat)

This data version contains one .mat file for each one of the active sessions (AC/PPC) for a total of 14 sessions (7 PPC active, 7 AC active). Each .mat file contains neural variables, behavioral variables and stimulus identity.
* Neural variables consist of deconvolved dF/F traces at the two-photon microscope sampling rate;
* Behavioral variables consist of x-y position in the virtual T-maze, x-y running velocity and view angle and are re-sampled to match the imaging rate;
* Each trial has a different duration. Information about each trial timing is stored in the frame_timing_info field;
* Information about the stimuli is stored in the sound_location field (value ordered from 1 to 8 for stimuli from the extreme left to the extreme right).

### Version 3 (aligned_data_simple.mat)

This version consists of a single .mat file containing a matlab struct with dimension equal to the number of active sessions (7 PPC active, 7 AC active). Each row of the structure refers to a single session and contains neural variables, behavioral variables and stimulus identity relative to that session.
* Neural variables consist of the deconvolved dF/F traces at the two-photon microscope sampling rate. All trials have the same duration and are both aligned to the time of stimulus onset (r_aligned_stimulus) and to the time of choice (r_aligned_choice);
* Behavioral variables consist of x-y position in the virtual T-maze and are re-sampled to match the imaging rate. All trials have the same duration and are both aligned to the first stimulus presentation (x_pos_aligned_stimulus, y_pos_aligned_stimulus) and to the turning frame (x_pos_aligned_choice, y_pos_aligned_choice);
* The stimulus identity is stored in the sound_location field (value ordered from 1 to 8 for stimuli from the extreme left to the extreme right).
